diff --git a/web/pgadmin/browser/static/js/browser.js b/web/pgadmin/browser/static/js/browser.js
index 8a258478e..205f2c122 100644
--- a/web/pgadmin/browser/static/js/browser.js
+++ b/web/pgadmin/browser/static/js/browser.js
@@ -104,12 +104,15 @@ define('pgadmin.browser', [
       b.treeMenu.register($('#tree'));
 
       b.treeMenu.registerDraggableType({
-        'table partition type sequence package view mview foreign_table edbvar' : (data, item)=>{
+        'collation domain domain_constraints fts_configuration fts_dictionary fts_parser fts_template synonym table partition type sequence package view mview foreign_table edbvar' : (data, item)=>{
           return pgadminUtils.fully_qualify(b, data, item);
         },
-        'schema column' : (data)=>{
+        'schema column database cast event_trigger extension language foreign_data_wrapper foreign_server user_mapping compound_trigger index index_constraint primary_key unique_constraint check_constraint exclusion_constraint foreign_key rule' : (data)=>{
           return pgadminUtils.quote_ident(data._label);
         },
+        'trigger trigger_function' : (data)=>{
+          return data._label;
+        },
         'edbfunc function edbproc procedure' : (data, item)=>{
           let newData = {...data},
             parsedFunc = null,
